From c4319eeb1c5d168c773f8984f6ae01a3524ad3a3 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 9 Oct 2009 13:11:14 +0200
Subject: [PATCH] Disable numpy for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 pygtk2.spec |   18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)

diff --git a/pygtk2.spec b/pygtk2.spec
index 0e17991..8b3dcb3 100644
--- a/pygtk2.spec
+++ b/pygtk2.spec
@@ -11,11 +11,16 @@
 
 %define buildglade %(pkg-config libglade-2.0 && echo 1 || echo 0)
 
+%define with_numpy 1
+%ifarch %{arm}
+%define with_numpy 0
+%endif
+
 ### Abstract ###
 
 Name: pygtk2
 Version: 2.16.0
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 License: LGPLv2+
 Group: Development/Languages
 Summary: Python bindings for GTK+
@@ -47,7 +52,9 @@ BuildRequires: gtk2-devel >= %{gtk2_version}
 BuildRequires: libglade2-devel >= %{libglade2_version}
 BuildRequires: libtool
 BuildRequires: libxslt
+%if %{with_numpy}
 BuildRequires: numpy
+%endif
 BuildRequires: pango-devel >= %{pango_version}
 BuildRequires: pycairo-devel >= %{pycairo_version}
 BuildRequires: pygobject2-devel >= %{pygobject2_version}
@@ -104,7 +111,11 @@ This package contains documentation files for %{name}.
 %patch1 -p1 -b .pygtk-generic-cell-renderer-activate
 
 %build
-%configure --enable-thread --enable-numpy
+%configure --enable-thread \ 
+%if %{with_numpy}
+	--enable-numpy
+%endif
+
 export tagname=CC
 make LIBTOOL=/usr/bin/libtool
 
@@ -163,6 +174,9 @@ rm -fr $RPM_BUILD_ROOT
 %{_datadir}/gtk-doc/html/pygtk
 
 %changelog
+* Fri Oct  9 2009 Jitesh Shah <jiteshs@marvell.com> - 2.16.0-1.fc12_fa1
+- Disable numpy for ARM
+
 * Sun Aug 23 2009 Matthew Barnes <mbarnes@redhat.com> - 2.16.0-1.fc12
 - Update to 2.16.0
 - Remove patch for RH bug #511082 (fixed upstream).
-- 
1.5.5.6

